/**
 *  GraphTFT plugin for the Video Disk Recorder 
 * 
 *  common.h - A plugin for the Video Disk Recorder
 *
 *  (c) 2004 Lars Tegeler, Sascha Volkenandt  
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * $Id: common.h,v 1.2 2004/05/08 18:55:45 tegeler Exp $
 *
 **/

#ifndef ___COMMON_H
#define ___COMMON_H

#include <string>
using std::string;

#ifdef DEBUG

#define STDOUT            1
#define SYSLOG            2
#define ASFILE            3

void d(int level, const char *fmt, ...);

#else
#define d( x... ) ;
#endif

bool file_exists(string filename);
int isolat1ToUTF8(unsigned char* out, int *outlen, const unsigned char* in, int *inlen);
#endif //___COMMON_H
