/**
 *  GraphTFT plugin for the Video Disk Recorder 
 * 
 *  i18n.c - A plugin for the Video Disk Recorder
 *
 *  (c) 2004 Lars Tegeler, Sascha Volkenandt  
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * $Id: i18n.c,v 1.2 2004/05/08 18:55:45 tegeler Exp $
 *
 **/

#include "i18n.h"

const tI18nPhrase Phrases[] = {
  { "GraphTFT",
    "GraphTFT",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "GraphTFT",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Display Info on TFT",
    "",//TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Ohjaa TFT-nytt",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Picture beside Picture",
    "Bild neben Bild",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Kuva kuvan viereen",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Hide Mainmenu Entry",
    "Hauptmenueintrag verstecken",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Piilota valinta pvalikosta",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Theme",
    "Aussehen",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Ulkoasu",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Unknown title",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Debug Level",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Debug-taso",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Debug Logger",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Debug-loki",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Show Mute Symbol permanent",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Nyt aina mykistyssymbolia",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Border to Width",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Leveysraja",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Border to Height",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Korkeusraja",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "X Offset",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Vaakakeskitys",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Y Offset",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Pystykeskitys",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "X Offset for OSD",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Kuvaruutunytn vaakakeskitys",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Y Offset for OSD",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Kuvaruutunytn pystykeskitys",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Convert Iso to UTF-8",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Muunna ISO UTF-8:ksi",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Dump image height",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Tallennettavan kuvan korkeus",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Dump image width",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Tallennettavan kuvan leveys",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Dump image to file",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Tallenna kuva tiedostoon",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Use StillPicture",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Kyt StillPicture-toimintoa",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Refresh",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Pivit",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Run",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Kynnist",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "End",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Pysyt",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "DVB Device",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "DVB-laite",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "DVB/FB Device",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "DVB/FB-laite",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "directFB Device",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "DirectFB-laite",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { "Debug",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "Debug",
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
    "",// TODO
#if VDRVERSNUM >= 10302
    "",// TODO
#endif
#if VDRVERSNUM >= 10307
    "",// TODO
#endif
  },
  { NULL }
  };
